#!/bin/sh
#
# Pulls sources for eclipse-mylyn-builds SRPM
#  - org.eclipse.mylyn.builds-feature
#  - org.eclipse.mylyn.hudson-feature
# 
RELEASE_TAG="R_3_5_1"
OUTPUT_TAR=eclipse-mylyn-builds-$RELEASE_TAG-fetched-src.tar

rm -rf org.eclipse.mylyn.builds
git clone git://git.eclipse.org/gitroot/mylyn/org.eclipse.mylyn.builds.git \
  org.eclipse.mylyn.builds
pushd org.eclipse.mylyn.builds
git archive --format=tar -o $OUTPUT_TAR --prefix="org.eclipse.mylyn.builds/" \
  refs/tags/$RELEASE_TAG
bzip2 $OUTPUT_TAR
mv $OUTPUT_TAR.bz2 ../
popd
